Subject: Re: [dtn-users] nokia 770
From: Michael Demmer <[email-masked]>
To: [email-masked]
Date: Wed, 28 Feb 2007 11:54:17 -0800
List-Id: discussion/answers list for users of the dtn reference implementation <dtn-users.mailman.dtnrg.org>

Hmm... that is really strange. It looks like the nokia node created a  
malformed bundle.

The problem may be due to a bogus htonl / htons somewhere.

Can you capture the session using tcpdump into a file, making sure to  
set the snaplen to large enough that it captures all the payloads,  
then send me the resultant file. I can try to take a look.

-mike

On Feb 28, 2007, at 7:33 AM, ryan m wrote:

> Thank you very much for the help, I was able to get it to compile  
> with that, but now I've run into an odd issue when trying to test  
> it via dtnping.  I'm pinging from the nokia 770 to a desktop and on  
> the recieving side I'm getting these errrors:
>
> [1172676002.170277 /dtn/bundle/payload/16/file debug] open /home/ 
> edifyteam/jabber/tmp/bundles/bundle_16.dat (flags 0xc2 mode 0x180):  
> fd 25
> [1172676002.170404 /dtn/storage/bundles/fdcache/cache debug] Added  
> entry fd=25 pin_count=1 size=0
> [1172676002.170459 /dtn/storage/bundles/fdcache/cache debug] Unpin  
> entry fd=25 pin_count=0 size=1
> [1172676002.170507 /dtn/bundle/refs debug] bundle id 16  
> (0x8db4020): refcount 0 -> 1 (0 mappings) add  
> CLConnection::IncomingBundle
> [1172676002.170558 /dtn/cl/tcp/conn/0x8db39b8 debug]  
> handle_data_segment: got segment of length 130 at offset 0
> [1172676002.170611 /dtn/cl/tcp/conn/0x8db39b8 debug]  
> handle_data_segment: updated ack_data (segment_offset 0) [ ]  
> ack_data [ 129 ]
> [1172676002.170658 /dtn/cl/tcp/conn/0x8db39b8 debug] got  
> BUNDLE_END: total length 130
> [1172676002.170698 /dtn/cl/tcp/conn/0x8db39b8 debug]  
> handle_data_todo: reading todo segment 130/130 at offset 0
> [1172676002.170741 /dtn/bundle/protocol debug] consume: got first  
> block... creating primary block info
> [1172676002.170789 /dtn/bundle/protocol debug] consume: 130 bytes  
> left to process
> [1172676002.170831 /dtn/bundle/protocol debug] consume: block  
> processor 0x0 type 0x0 incomplete, calling consume (0 bytes already  
> buffered)
> [1172676002.170878 /dtn/bundle/protocol debug] BlockProcessor type  
> 0x0 consumed preamble 5/5 for block type (0x0): data_offset 5  
> data_length 0
> [1172676002.170922 /dtn/bundle/protocol debug] parsed primary block  
> length 0 (preamble 5)
> [1172676002.170962 /dtn/bundle/protocol error] got primary block  
> with zero length
> [1172676002.171002 /dtn/bundle/protocol error] consume: protocol  
> error handling block 0x0
> [1172676002.171042 /dtn/cl/tcp/conn/0x8db39b8 error] protocol error  
> parsing bundle data segment
> [1172676002.171084 /dtn/cl/tcp/conn/0x8db39b8 debug] break_contact:  
> cl protocol error
> [1172676002.171126 /dtn/cl/tcp/conn/0x8db39b8/sock debug] closing  
> socket in state ESTABLISHED
> [1172676002.171230 /dtn/cl/tcp/conn/0x8db39b8/sock debug] state  
> ESTABLISHED -> FINI
>
> Then I just get a bunch of transmit failed events at the sending side.
>
> Anyone have any thoughts why I'm getting this?
>
> On 2/27/07, Darren Long <[email-masked]> wrote:
> Hi,
>
> I disabled the -Wcast-align warning when I built on my NSLU2 running
> Debian for little-endian ARM.  The daemon has been running happily
> for a month, but I've not tried the apps on it.
>
> Darren
>
> On 27 Feb 2007, at 22:05, ryan m wrote:
>
> > I'm trying to compile DTN for the n770 under meamo 2.2/scratchbox
> > 1.0.x
> > cross environment.  I compiled from source tcl and berkeley and now
> > I'm
> > trying to compile DTN and I've run into the following compile error:
> >
> > make[1]: Entering directory `/home/edifyteam/jabber/DTN2/servlib'
> > g++ -I.. -I.. -I../servlib    -g -fno-inline  -MMD -MP -MT
> > "bundling/BundleEvent
> > Handler.o bundling/BundleEventHandler.E bundling/
> > BundleEventHandler.po"
> > -Wall -W
> >  -Wcast-align  -Werror  -c bundling/BundleEventHandler.cc -o
> > bundling/BundleEventHandler.o
> > bundling/BundleEventHandler.cc: In member function `void
> > dtn::BundleEventHandler::dispatch_event(dtn::BundleEvent*)':
> > bundling/BundleEventHandler.cc:166: warning: cast from
> > `dtn::BundleEvent*' to `dtn::CustodySignalEvent*' increases required
> > alignment of target type
> > make[1]: *** [bundling/BundleEventHandler.o] Error 1
> > make[1]: Leaving directory `/home/edifyteam/jabber/DTN2/servlib'
> > make: *** [servlib] Error 2
>
> _______________________________________________
> dtn-users mailing list
> [email-masked]
> http://mailman.dtnrg.org/mailman/listinfo/dtn-users
>